<?php
session_start(); 
require_once ("../conexion.php");
require_once('../include/sesiones.php');
$com_id=$_GET['com_id'];
if (isset($_GET['art_id_bod'])){ $art_id_bod=$_GET['art_id_bod'];}
if (isset($_GET['art_id'])){ $art_id=$_GET['art_id'];}
if (isset($_GET['nombre'])){ $art_nombre=$_GET['nombre'];}
if (isset($_GET['referencia'])){$referencia=$_GET['referencia'];}
if (isset($_GET['cantidad'])){$cantidad=$_GET['cantidad'];}
if (isset($_GET['precio'])){$precio=$_GET['precio'];}
if (isset($_GET['tipo'])){$tipo=$_GET['tipo'];}

if (!empty($cantidad))
{
    if ($tipo=='articulo')
    {
        $atri1=mysqli_query($con,"SELECT * FROM articulos_has_bodegas where art_id='$art_id_bod'");
        $atri1 = mysqli_fetch_array($atri1);
        $atributo1=$atri1['atributo1'];

        $atri11=mysqli_query($con,"SELECT * FROM atributos1 where atri_id='$atributo1'");
        $atri11 = mysqli_fetch_array($atri11);
        if (isset($atri11)) 
        {                    
            $atri_nombre=$atri11['atri_nombre'];
        }
        else
        {
            $atri_nombre='';
        }

        $atributo2=$atri1['atributo2'];
        $atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_id2='$atributo2'");
        $atri2 = mysqli_fetch_array($atri2);
        if (isset($atri2)) 
        {                    
            $atri_nombre2=' - '.$atri2['atri_nombre2'];
        }
        else
        {
            $atri_nombre2='';
        }

        $atributos=$atri_nombre .$atri_nombre2;

        $sqll=mysqli_query($con,"SELECT * FROM combos_articulos WHERE art_id_bod='$art_id_bod' and coma_art_id='$art_id' and combos_com_id='$com_id' ") ;
        if($roww=mysqli_fetch_array($sqll))
        { 	
            $can7=mysqli_query($con,"SELECT * FROM combos_articulos WHERE art_id_bod='$art_id_bod' and coma_art_id='$art_id' and combos_com_id='$com_id'") or die(mysqli_error($con));  
            while($dato=mysqli_fetch_array($can7))
            {
                $coma_art_id=$dato['coma_art_id'];            
                $coma_art_cantidad=$dato['coma_art_cantidad'];
                $suma=$coma_art_cantidad+$cantidad;
            }
           	$registros=mysqli_query($con,"UPDATE combos_articulos Set coma_art_cantidad='$suma'
           	Where art_id_bod='$art_id_bod' and coma_art_id='$art_id' and combos_com_id='$com_id'") or die(mysqli_error($con));
        }
        else
        {   
          	$insert_tmp=mysqli_query($con, "INSERT INTO combos_articulos (art_id_bod,coma_art_id,coma_art_referencia,coma_art_nombre,coma_art_cantidad,coma_art_precio,coma_tipo,combos_com_id) 
          	VALUES ('$art_id_bod','$art_id','$referencia','$art_nombre $atributos','$cantidad','$precio','$tipo','$com_id')");
        }
    }

    if($tipo=='servicio' OR $tipo=='producto')
    {
        $sqll=mysqli_query($con,"SELECT coma_art_id FROM combos_articulos WHERE art_id_bod='$art_id_bod' and coma_art_id='$art_id' and combos_com_id='$com_id'") ;
        if($roww=mysqli_fetch_array($sqll))
        {   
            $can7=mysqli_query($con,"SELECT * FROM combos_articulos WHERE art_id_bod='$art_id_bod' and coma_art_id='$art_id' and combos_com_id='$com_id'") or die(mysqli_error($con));  
            $dato=mysqli_fetch_array($can7);
            $coma_art_id=$dato['coma_art_id'];            
            $coma_art_cantidad=$dato['coma_art_cantidad'];
            $suma=$coma_art_cantidad+$cantidad;
            $registros=mysqli_query($con,"UPDATE combos_articulos Set coma_art_cantidad='$suma'
            Where art_id_bod='$art_id_bod' and coma_art_id='$art_id' and combos_com_id='$com_id'") or die(mysqli_error($con));
        }
        else
        {   
            $insert_tmp=mysqli_query($con, "INSERT INTO combos_articulos (art_id_bod,coma_art_id,coma_art_referencia,coma_art_nombre,coma_art_cantidad,coma_art_precio,coma_tipo,combos_com_id) 
            VALUES ('0','$art_id','$referencia','$art_nombre','$cantidad','$precio','$tipo','$com_id')");
        }
    }
}
?>
<table class="table table-bordered table-hover table-striped">
    <tr>
    	<th width="10%">CODIGO</th>
    	<th>DESCRIPCIÓN</th>
    	<th width="15%">CANTIDAD</th>
        <th width="15%">PRECIO</th>
    	<th width="5%"></th>
    </tr>
<?php
    $sumador_total=0;
	$sql=mysqli_query($con, "SELECT * from combos_articulos where combos_com_id='$com_id'");
	while ($row=mysqli_fetch_array($sql))
	{
	$id=$row["coma_id"];
	$coma_id=$row["coma_id"];
	$coma_art_id=$row['coma_art_id'];
    $coma_art_referencia=$row['coma_art_referencia'];
    $coma_art_nombre=$row['coma_art_nombre'];
	$coma_art_cantidad=$row['coma_art_cantidad'];
    $coma_art_precio=$row['coma_art_precio'];
    $total=$coma_art_cantidad*$coma_art_precio;
    $sumador_total+=$total;
?>
	<tr>
		<td><?php echo $coma_art_referencia;?></td>
		<td><?php echo $coma_art_nombre;?></td>
		<td><input type="text" value="<?php echo $coma_art_cantidad;?>" class="form-control input-sm" onblur="update_cantidad(<?php echo $id;?>,this.value);"></td>
        <td><input type="text" value="<?php echo $coma_art_precio;?>" class="form-control input-sm "  style="text-align:right"  onblur="update_precio(<?php echo $id;?>,this.value);"  ></td>
		<td>
		<a href="#" id="del-<?php echo $row["coma_id"];?>" class="btn btn-xs btn-danger"> <i class="btn-icon-only icon-remove"></i></a>
		<script>
		$("#del-"+<?php echo $row["coma_id"];?>).click(function(e){
			e.preventDefault();
			p = confirm("Estas seguro?");
			if(p){
				$.get("./php_combos/eliminar_art_m.php","coma_id="+<?php echo $row["coma_id"];?>,function(data){
					loadTabla();
				});
			}
		});
		</script></td>
	</tr>		
<?php } ?>
    <tr>
        <th colspan="4"><H5><strong>TOTAL COMBO<span class="pull-right" style="color: red;padding-right: 8px"><?php echo number_format($sumador_total,0);?></span></strong></H5></th>
        <th></th>
    </tr>
</table>

<script>
   
    function update_cantidad(campo,valor){
      var parametros = {"action":"update","campo":campo,"valor":valor}; 
      $.ajax({
        type: "GET",
        url: "./php_combos/editar_cantidad_m.php",
        data: parametros,
         beforeSend: function(objeto){
          $("#resultados").html("Mensaje: Cargando...");
          },
        success: function(datos){
        $("#resultados").html(datos);
        loadTabla();
        }
          });
    } 

    function update_precio(campo,valor){
      var parametros = {"action":"update","campo":campo,"valor":valor}; 
      $.ajax({
        type: "GET",
        url: "./php_combos/editar_precio_m.php",
        data: parametros,
         beforeSend: function(objeto){
          $("#resultados").html("Mensaje: Cargando...");
          },
        success: function(datos){
        $("#resultados").html(datos);
         loadTabla();
        }
          });
    } 
</script>